Skip to main content
GET
/
v1
/
twitter
/
users
/
batch_by_usernames
Batch get users by usernames
curl --request GET \
  --url https://scrapebadger.com/v1/twitter/users/batch_by_usernames \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "44196397",
      "username": "elonmusk",
      "name": "Elon Musk",
      "created_at": "Tue Jun 02 20:12:29 +0000 2009",
      "description": "Mars & Cars, Chips & Dips",
      "location": "Mars",
      "url": "<string>",
      "profile_image_url": "<string>",
      "profile_banner_url": "<string>",
      "followers_count": 0,
      "following_count": 0,
      "tweet_count": 0,
      "listed_count": 0,
      "favourites_count": 123,
      "media_count": 123,
      "verified": false,
      "verified_type": "<string>",
      "is_blue_verified": true,
      "created_at_datetime": "<string>",
      "protected": true,
      "possibly_sensitive": true,
      "followed_by": true,
      "following": true,
      "can_dm": true,
      "professional_type": "<string>",
      "pinned_tweet_ids": [
        "<string>"
      ]
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.

Query Parameters

usernames
string
required

Comma-separated list of usernames (without the @ symbol).

Example:

"elonmusk,jack"

Response

Successfully retrieved users.

Paginated list of users.

data
object[] | null

Array of user objects.

next_cursor
string | null

Cursor for fetching the next page. Null if no more results.